Skip to main content
GET
/
v1
/
templates
/
collections
/
{template_id}
Get Collection Template
curl --request GET \
  --url https://api.mixpeek.com/v1/templates/collections/{template_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.mixpeek.com/v1/templates/collections/{template_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.mixpeek.com/v1/templates/collections/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "template_id": "<string>",
  "internal_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "configuration": {},
  "mode": "config",
  "category": "<string>",
  "tags": [
    "<string>"
  ],
  "is_active": true,
  "is_public": false,
  "use_cases": [
    "<string>"
  ],
  "requirements": [
    "<string>"
  ],
  "created_by": "<string>",
  "source_resource_id": "<string>",
  "sample_namespace_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

template_id
string
required

Template ID

Response

Successful Response

Base template model with common fields for all template types.

This model is stored in MongoDB and supports three template scopes:

  • System: Mixpeek defaults (all orgs)
  • Organization: All users in the org
  • User: Only the creator
template_id
string
required

Unique template identifier (e.g., 'tmpl_semantic_search')

Pattern: ^tmpl_[a-z0-9_]+$
template_type
enum<string>
required

Type of resource this template creates

Available options:
namespace,
retriever,
cluster,
collection,
bucket,
taxonomy,
scaffold
scope
enum<string>
required

Template scope (system or organization)

Available options:
system,
organization,
user,
public
internal_id
string
required

Organization internal ID. For system templates, use 'system'. For org templates, use the actual internal_id.

name
string
required

Human-readable template name

Required string length: 1 - 100
description
string
required

Detailed description of the template's purpose

Required string length: 1 - 1000
configuration
Configuration · object
required

Template-specific configuration (varies by template_type)

mode
enum<string>
default:config

Template instantiation mode: clone (with data), config (empty), or scaffold (preset)

Available options:
scaffold,
config,
clone
category
string | null

Optional category for organizing templates

tags
string[]

Tags for categorizing and filtering templates

is_active
boolean
default:true

Whether this template is available for use

is_public
boolean
default:false

Whether this template is publicly discoverable without authentication

use_cases
string[]

List of common use cases for this template

requirements
string[]

List of requirements (e.g., 'Requires text embeddings')

created_by
string | null

User ID who created this template (for org templates)

source_resource_id
string | null

ID of the resource this template was created from (for org templates)

sample_namespace_id
string | null

Reference to a sample/golden namespace for this scaffold (used for Studio quickstart cloning)

created_at
string<date-time>

Timestamp when template was created

updated_at
string<date-time>

Timestamp when template was last updated